# OgreSDLInput.h File Reference

`#include "OgreInput.h"`
`#include "OgreInputEvent.h"`
`#include "OgreRenderWindow.h"`
`#include <map>`
`#include <SDL/sdl.h>`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Enumerations

enum | GrabMode { GRAB_NONE, GRAB_MOUSE_OVER, GRAB_MOUSE_CLICK }

## Enumeration Type Documentation

enum Ogre::GrabMode

Enumeration values:

  GRAB_NONE |
  GRAB_MOUSE_OVER |
  GRAB_MOUSE_CLICK |

Definition at line 45 of file OgreSDLInput.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:14 2006